Subject: Re: [PATCH v2 11/12] read-cache: leave lock in right state in `write_locked_index()`

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Oct 2017 21:02:25 +0900

Martin Ågren <[email-masked]> writes:

> On 6 October 2017 at 04:01, Junio C Hamano <[email-masked]> wrote:
>> Martin Ågren <[email-masked]> writes:
>>
>>> v2: Except for the slightly different documentation in cache.h, this is
>>> a squash of the last two patches of v1. I hope the commit message is
>>> better.
>>
>> Yeah, it is long ;-) but readable.
>
> "Long but readable"... Yeah. When I rework the previous patch (document
> the closing-behavior of `do_write_index()`) I could address this. I
> think there are several interesting details here and I'm not sure which
> I'd want to leave out, but yeah, they add up...

I didn't mean "long is bad" at all in this case.  

Certainly, from time to time we find commits with overlong
explanation that only states obvious, and they are "long and bad".
But I do not think this one falls into the same category as those.